/*******************************************************************************
 * Copyright (C) Altimetrik 2018. All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Altimetrik. You shall not disclose such Confidential Information
 * and shall use it only in accordance with the terms and conditions
 * entered into with Altimetrik.
 ******************************************************************************/
package com.altimetrik.playground.innovation.bean;

import java.util.Date;

import com.altimetrik.playground.innovation.constants.IdeaStatusEnum;
import com.altimetrik.playground.innovation.constants.IdeaTypeEnum;

import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@EqualsAndHashCode(callSuper = false)
public class PgIdeaResponse extends ResponseModel {

	private static final long serialVersionUID = -4426625885342889037L;

	private String businessRelevance;
	private String description;
	private String ideaCategoryId;
	private IdeaTypeEnum ideaType;
	private Boolean competenceCenter;
	private IdeaStatusEnum ideaStatus;
	private Boolean published;
	private Boolean locked;
	private String businessDomain;
	private String technologyDomain;
	private String novelty;
	private String claims;
	private String completeness;
	private String techStack;
	private String title;
	private Date createdOn;
	private String createdById;
	private String ideaId;
	private String l0ReviewerId;
	private Boolean disclosed;
	private String accessLevel;
}
