/*******************************************************************************
 * Copyright (C) Altimetrik 2018. All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Altimetrik. You shall not disclose such Confidential Information
 * and shall use it only in accordance with the terms and conditions
 * entered into with Altimetrik.
 ******************************************************************************/
package com.altimetrik.playground.innovation.bean;

import com.altimetrik.playground.innovation.constants.RoleTypeEnum;
import com.altimetrik.playground.innovation.constants.TeamMemberRequestModeEnum;
import com.altimetrik.playground.innovation.constants.TeamMemberRequestStatusEnum;

import lombok.Getter;
import lombok.Setter;

@Setter
@Getter
public class PgIdeaReviewer {

	private Long teamMemberId;
	private RoleTypeEnum roleType;
	private TeamMemberRequestModeEnum teamMemberRequestMode = TeamMemberRequestModeEnum.STANDARD;
	private TeamMemberRequestStatusEnum teamMemberRequestStatus;
	private String approvedBy;
	private String teamMemberName;
	private String emailId;

	public PgIdeaReviewer() {
		super();
	}

}
