/*******************************************************************************
 * Copyright (C) Altimetrik 2018. All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Altimetrik. You shall not disclose such Confidential Information
 * and shall use it only in accordance with the terms and conditions
 * entered into with Altimetrik.
 ******************************************************************************/
package com.altimetrik.playground.innovation.bean;

import java.io.Serializable;

import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@EqualsAndHashCode(callSuper = false)
public class PgMentorResponse implements Serializable {

	private static final long serialVersionUID = -7228617477712740719L;
	private Long mentorId;
	private String mentorName;
	private Long categoryId;

	public PgMentorResponse() {
		super();
	}

	public PgMentorResponse(Long mentorId, String mentorName, Long categoryId) {
		super();
		this.mentorId = mentorId;
		this.mentorName = mentorName;
		this.categoryId = categoryId;
	}

}
