/*******************************************************************************
 * Copyright (C) Altimetrik 2018. All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Altimetrik. You shall not disclose such Confidential Information
 * and shall use it only in accordance with the terms and conditions
 * entered into with Altimetrik.
 ******************************************************************************/
package com.altimetrik.playground.innovation.constants;

/**
 * Indicates different types of roles.
 * 
 * @author skondapalli.
 */
public enum RoleTypeEnum {

	L0_REVIEWER("L0_REVIEWER"), L1_REVIEWER("L1_REVIEWER"), L2_REVIEWER("L2_REVIEWER"), INNOVATOR("INNOVATOR"), CO_INNOVATOR("CO_INNOVATOR"), MEMBER("MEMBER"), MENTOR("MENTOR");

	private final String message;

	RoleTypeEnum(final String argMessage) {
		message = argMessage;
	}

	public final String getMessage() {
		return message;
	}

}
