/**
 * Copyright (C) Altimetrik 2018. All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Altimetrik. You shall not disclose such Confidential Information
 * and shall use it only in accordance with the terms and conditions
 * entered into with Altimetrik.
 */
package com.altimetrik.playground.innovation.entity;

import com.altimetrik.playground.innovation.constants.ArtifactTypeEnum;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author Tushar Das
 *
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class PgIdeaArtifactEntity extends BaseEntity {

	private static final long serialVersionUID = -9002413993210024093L;

	private String linkName;

	private String linkUrl;

	private ArtifactTypeEnum type;

	private String fileName;

	public PgIdeaArtifactEntity() {
		super();
	}

	public PgIdeaArtifactEntity(String linkName, String linkUrl, ArtifactTypeEnum type, String fileName) {
		super();
		this.linkName = linkName;
		this.linkUrl = linkUrl;
		this.type = type;
		this.fileName = fileName;
	}
}
