/**
 * Copyright (C) Altimetrik 2018. All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Altimetrik. You shall not disclose such Confidential Information
 * and shall use it only in accordance with the terms and conditions
 * entered into with Altimetrik.
 */
package com.altimetrik.playground.innovation.entity;

import com.altimetrik.playground.innovation.constants.ReviewLevelEnum;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author Tushar Das
 *
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class PgReviewStatusEntity extends BaseEntity {

	private static final long serialVersionUID = 4990543561287980181L;

	private String message;

	private Boolean approved;

	private ReviewLevelEnum level;
}
