/*******************************************************************************
 * Copyright (C) Altimetrik 2018. All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Altimetrik. You shall not disclose such Confidential Information
 * and shall use it only in accordance with the terms and conditions
 * entered into with Altimetrik.
 ******************************************************************************/
package com.altimetrik.playground.innovation.properties;

import org.springframework.boot.context.properties.ConfigurationProperties;

import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
@ConfigurationProperties(prefix = "error")
public class ErrorProperties {

	private int unknownErrorCode;
	private String unknownErrorMessage;
	private int featureNotEnabledErrorCode;
	private String featureNotEnabledErrorMessage;
	private int invalidIdeaStatusTransitionErrorCode;
	private String invalidIdeaStatusTransitionErrorMessage;
	private int invalidRoleInfoErrorCode;
	private String invalidRoleInfoErrorMessage;
	private int authorizationErrorCode;
	private String authorizationErrorMessage;
	private int invalidIdeaInfoErrorCode;
	private String invalidIdeaInfoErrorMessage;
	private int operationNotAllowedErrorCode;
	private String operationNotAllowedErrorMessage;
	private int invalidIdeaCategoryInfoErrorCode;
	private String invalidIdeaCategoryInfoErrorMessage;

}
