/*******************************************************************************
 * Copyright (C) Altimetrik 2018. All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Altimetrik. You shall not disclose such Confidential Information
 * and shall use it only in accordance with the terms and conditions
 * entered into with Altimetrik.
 ******************************************************************************/
package com.altimetrik.playground.innovation.repository;

import java.util.List;

import org.springframework.data.mongodb.repository.MongoRepository;
import org.springframework.stereotype.Repository;

import com.altimetrik.playground.innovation.entity.PgCategoryEntity;

@Repository
public interface PgIdeaCategoryRepository extends MongoRepository<PgCategoryEntity, String> {

	List<PgCategoryEntity> findAll();

	PgCategoryEntity findByCategoryName(final String ideaCategoryName);

}
